## Task

### Description of the task 
Deploy new web-site in test environment. Back-end on Java, compiler Maven, Front-end ReactJS, 
Nginx like a balancer. All instances must be in containers. Create CI for dev-branch. 
#### Check-points:
-  Back and front run as Docker containers, must connect to each other
-  Add Nginx before front, close all external connections, except to Nginx
-  Create docker-compose file, which run all instances
-  Multistaging in Dockerfile 
-  Create CI pipe
### Result of job
- 1 step: create images(mysql,backend,frontend,nginx)
- 2 step: run containers in dependency from instruction in docker-compose
- 3 step: as a result we can receive static files of site from front or can get api-request from back

